task split_gvcf_files {
	File gvcf
	String chromo
	String docker
	String cluster_config
	String disk_size
	
	command <<<

		cat ${gvcf} | grep '#CHROM' | sed s'/\t/\n/g' > name

		sed -i '1,9d' name

		for i in {10..133};  do  cat ${gvcf}| cut -f1-9,$i > $i.splited.vcf; done

		ls *splited.vcf | paste - name > rename

		cat rename | while read a b; do mv $a $b.${chromo}.vcf; done

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		Array[File] splited_vcf = glob("*.${chromo}.vcf")
	}
}